=== debian/changelog ===
mapserver (7.0.4-2) unstable; urgency=medium

  * Add patch to use include paths from php-config.
  * Add patch by Landry Breuil to fix memory corruption/double-free
    when LAYERS parameter is specified multiple times.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Feb 2017 18:29:54 +0100

mapserver (7.0.4-1) unstable; urgency=high

  * New upstream release.
    - Security release.
  * Add Open Source Geospatial Foundation to copyright holders.
  * Update symbols for amd64.
  * Add dh-python to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Jan 2017 19:38:29 +0100
