=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
 #               dh-php,
+               dh-python,
                dpkg-dev (>= 1.16.1.1),
                cmake (>= 2.8.12.1-1.2),
                chrpath,
