=== debian/changelog ===
mapserver (7.0.6-2build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:22 +0000

mapserver (7.0.6-2) unstable; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 21:07:57 +0200

mapserver (7.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2017 21:14:05 +0200
