=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
                docbook-xml,
                xsltproc
 Build-Conflicts: libcurl3-openssl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapserver.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapserver.git
 Homepage: http://www.mapserver.org
