=== debian/changelog ===
mapserver (7.0.7-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:17 +0000

mapserver (7.0.7-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:52 +0000

mapserver (7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Strip trailing whitespace from changelog & rules.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Add lintian override for python-foo-but-no-python3-foo.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Nov 2017 21:00:35 +0100
