=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: mapserver
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
@@ -45,7 +46,7 @@
                docbook-xml,
                xsltproc
 Build-Conflicts: libcurl3-openssl-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapserver.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapserver.git
 Homepage: http://www.mapserver.org
@@ -75,7 +76,6 @@
 Package: libmapserver-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: libmapserver2 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: libmapserver1-dbg (<< 7.0.0~)
